summaryrefslogtreecommitdiff
path: root/pst
diff options
context:
space:
mode:
authorTasos Latsas <tlatsas@users.sourceforge.net>2009-06-18 15:50:48 +0300
committerNick White <git@njw.me.uk>2009-06-23 11:57:55 +0100
commitfeb2cd603ba1ae6e7dc04e17463c87777f882363 (patch)
tree74883a786c0cd1f6fa1774946596e5dafc4dd810 /pst
parent470b322c5cb3c392f77fc63bb14a1c61abf9180a (diff)
downloadgemrb-gameinstallers-feb2cd603ba1ae6e7dc04e17463c87777f882363.tar.bz2
gemrb-gameinstallers-feb2cd603ba1ae6e7dc04e17463c87777f882363.zip
pass unshield options before extract command
Diffstat (limited to 'pst')
-rwxr-xr-xpst/install-2cd-extra.sh4
-rwxr-xr-xpst/install-2cd-minimal.sh4
-rwxr-xr-xpst/install-4cd-minimal.sh2
-rwxr-xr-xpst/install-patch-official.sh2
4 files changed, 6 insertions, 6 deletions
diff --git a/pst/install-2cd-extra.sh b/pst/install-2cd-extra.sh
index 82e9002..ccdd0fd 100755
--- a/pst/install-2cd-extra.sh
+++ b/pst/install-2cd-extra.sh
@@ -28,8 +28,8 @@ CD2="610d9f6354be741b09fc25b5e9645328"
getcd 1 "$PST_2CD_MD5" data1.cab
-unshield -g OtherData -L x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
-unshield -g OtherData -L x "${CDMOUNT}/data2.cab" -d "$TARGETDIR" || die
+unshield -d "$TARGETDIR" -g OtherData -L x "${CDMOUNT}/data1.cab" || die
+unshield -d "$TARGETDIR" -g OtherData -L x "${CDMOUNT}/data2.cab" || die
mv "${TARGETDIR}/otherdata/"* "$TARGETDIR" || die
rmdir "${TARGETDIR}/otherdata" || die
diff --git a/pst/install-2cd-minimal.sh b/pst/install-2cd-minimal.sh
index 45493bf..329d84f 100755
--- a/pst/install-2cd-minimal.sh
+++ b/pst/install-2cd-minimal.sh
@@ -28,8 +28,8 @@ getcd 1 $PST_2CD_MD5 data1.cab
mkdir -p "$TARGETDIR" || die
-unshield -g MinimumData -L x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
-unshield -g MinimumData -L x "${CDMOUNT}/data2.cab" -d "$TARGETDIR" || die
+unshield -d "$TARGETDIR" -g MinimumData -L x "${CDMOUNT}/data1.cab" || die
+unshield -d "$TARGETDIR" -g MinimumData -L x "${CDMOUNT}/data2.cab" || die
cp "${CDMOUNT}/Manual/Torment.pdf" "${TARGETDIR}/manual.pdf" || die
cp "${CDMOUNT}/Torment.ico" "${TARGETDIR}/torment.ico" || die
diff --git a/pst/install-4cd-minimal.sh b/pst/install-4cd-minimal.sh
index 1bcb07b..97fdf4a 100755
--- a/pst/install-4cd-minimal.sh
+++ b/pst/install-4cd-minimal.sh
@@ -28,7 +28,7 @@ getcd 1 $PST_4CD_MD5 data1.cab
mkdir -p "$TARGETDIR" || die
-unshield -L x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
+unshield -d "$TARGETDIR" -L x "${CDMOUNT}/data1.cab" || die
move_and_remove "${TARGETDIR}/program_executable_files/" "$TARGETDIR"
diff --git a/pst/install-patch-official.sh b/pst/install-patch-official.sh
index 3cac6a1..0c244a8 100755
--- a/pst/install-patch-official.sh
+++ b/pst/install-patch-official.sh
@@ -36,7 +36,7 @@ setuptmp
getpatch $patch_url
cabextract -L "${TMPDIR}/${patch_name}" -d "$TMPDIR" || diesoftly
-unshield -L x "${TMPDIR}/data1.cab" -d "$TMPDIR" || diesoftly
+unshield -d "$TMPDIR" -L x "${TMPDIR}/data1.cab" || diesoftly
copylower "${TMPDIR}/program_executable_files/" "$TARGETDIR" || diesoftly